@charset 'UTF-8';
/* ------------------------
  変数
--------------------------*/
:root {
  /* 色 */
  --color-main: #00c8ac;
  --color-light-green: #edfaf9;
  --color-pink: #e66084;

  /* フォント */
  --font-base:
    "Noto Sans", "Noto Sans JP", -apple-system, BlinkMacSystemFont, Roboto, "Segoe UI", "Helvetica Neue", HelveticaNeue,
    YuGothic, "Yu Gothic Medium", "Yu Gothic", Verdana, Meiryo, sans-serif;
  --font-serif: "Noto Serif JP", serif;
  --font-inter: "Inter", sans-serif;
  --font-nunito: "Nunito", sans-serif;
}

/* ------------------------
  設定
--------------------------*/
@media screen and (min-width: 768px) {
  .pc-none {
    display: none !important;
  }
}
@media screen and (max-width: 767px) {
  .sp-none {
    display: none !important;
  }
}

/* ------------------------
  ユーティリティ
--------------------------*/

/* ------------------------
  タイトル
--------------------------*/
.c-ttl-color {
  color: var(--color-main);
  font-size: 3rem;
  font-weight: bold;
  margin-bottom: 0.5em;

  &.--center {
    text-align: center;
  }

  @media screen and (max-width: 767px) {
    font-size: 2.2rem;
  }
}

.c-ttl-line {
  font-size: 3rem;
  line-height: 30px;
  padding-left: 12px;
  border-left: 6px solid var(--color-main);
  margin-bottom: 1em;

  @media screen and (max-width: 767px) {
    font-size: 2.2rem;
  }
}

.c-ttl-underline {
  font-size: 2.6rem;
  position: relative;
  width: 100%;
  padding-bottom: 12px;
  border-bottom: 2px solid #d3d3d3;
  margin-bottom: 0.8em;

  &::before {
    position: absolute;
    bottom: -2px;
    left: 0;
    width: 176px;
    height: 0;
    content: "";
    border-bottom: 2px solid #00c8ac;
  }

  @media screen and (max-width: 767px) {
    font-size: 2.2rem;
  }
}

.c-ttl-solution {
  font-size: 3.6rem;
  font-weight: bold;
  line-height: 1.2;
  text-align: center;
  margin-bottom: 1.2em;

  @media screen and (max-width: 767px) {
    font-size: 2.2rem;
  }

  .c-ttl-solution__small {
    font-size: 2.2rem;

    &::before,
    &::after {
      content: "";
      width: 2px;
      height: 18px;
      display: inline-block;
      background: var(--color-main);
      border-radius: 20px;
    }

    &::before {
      margin-right: 16px;
      rotate: -20deg;
    }

    &::after {
      margin-left: 16px;
      rotate: 20deg;
    }

    @media screen and (max-width: 767px) {
      font-size: 1.8rem;
    }
  }

  .c-ttl-solution__large {
    font-size: 4.2rem;
    vertical-align: bottom;
    padding-inline: 0.2em;

    &.--green {
      color: var(--color-main);
    }

    &.--pink {
      color: var(--color-pink);
    }

    @media screen and (max-width: 767px) {
      font-size: 2.6rem;
    }
  }
}

/* ------------------------
  ボタン
--------------------------*/

/* ------------------------
  リスト
--------------------------*/
.c-list-check {
  &.--green {
    li {
      &::before {
        background: url(../../../assets/images/common/check-green.svg) no-repeat center / contain;
      }
    }
  }

  li {
    font-size: 2.2rem;
    font-weight: bold;
    line-height: 1.6;
    text-indent: -46px;
    margin-left: 46px;

    &::before {
      content: "";
      width: 30px;
      height: 30px;
      display: inline-block;
      background: url(../../../assets/images/common/check.svg) no-repeat center / contain;
      vertical-align: middle;
      margin-right: 16px;
    }

    &:not(:last-child) {
      margin-bottom: 0.8em;
    }

    span {
      color: #00c8ac;
    }
  }

  @media screen and (max-width: 767px) {
    li {
      font-size: 1.6rem;
      text-indent: -32px;
      margin-left: 32px;

      &::before {
        width: 24px;
        margin-right: 8px;
      }
    }
  }
}

/* ------------------------
  ブロック
--------------------------*/
.c-block-box {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 40px 48px;

  @media screen and (max-width: 767px) {
    grid-template-columns: 1fr;
    gap: 32px 0;
  }

  .c-block-box__item {
  }

  .c-block-box__txt {
    margin-bottom: 1em;
  }

  .c-block-box__img {
    img {
      width: 100%;
      height: 100%;
      object-fit: cover;
    }
  }
}

.c-block-desc {
  position: relative;

  .c-block-desc__label {
    color: #fff;
    font-size: 1.2rem;
    font-weight: bold;
    font-family: var(--font-inter);
    line-height: 1.3;
    text-align: center;
    width: 59px;
    height: 56px;
    background: var(--color-main);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding-top: 4px;
    position: absolute;
    top: 0;
    left: 0;

    @media screen and (max-width: 767px) {
      font-size: 1.1rem;
      width: 48px;
      height: 46px;
      padding-top: 2px;
    }
  }

  .c-block-desc__num {
    font-size: 2rem;

    @media screen and (max-width: 767px) {
      font-size: 1.8rem;
    }
  }

  .c-block-desc__img {
    margin-bottom: 20px;

    @media screen and (max-width: 767px) {
      margin-bottom: 12px;
    }
  }

  .c-block-desc__ttl {
    font-size: 1.8rem;
    font-weight: bold;
    text-align: center;
    margin-bottom: 0.8em;

    @media screen and (max-width: 767px) {
      font-size: 1.4rem;
    }
  }

  .c-block-desc__txt {
    font-size: 1.4rem;
    line-height: 1.8;

    @media screen and (max-width: 767px) {
      font-size: 1.3rem;
    }
  }
}

.c-block-desc__col3 {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 25px 32px;

  @media screen and (max-width: 767px) {
    grid-template-columns: repeat(2, 1fr);
    gap: 24px;
  }

  @media screen and (max-width: 394px) {
    grid-template-columns: 1fr;
  }
}

.c-block-features {
  padding: 40px 50px;
  background-color: #edfaf9;

  &:not(:last-child) {
    margin-bottom: 32px;
  }

  @media screen and (max-width: 767px) {
    padding: 24px;

    &:not(:last-child) {
      margin-bottom: 24px;
    }
  }

  .c-block-features__flex {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 24px;
    width: 100%;

    picture {
      max-width: 50%;
      width: 100%;
      aspect-ratio: 500 / 322;
      object-fit: cover;
      object-position: center center;
    }

    @media screen and (min-width: 768px) {
      &.--reverse {
        flex-direction: row-reverse;
      }
    }

    @media screen and (max-width: 767px) {
      flex-direction: column-reverse;

      picture {
        max-width: 100%;
      }
    }
  }

  .c-block-features__group {
    width: 100%;
    max-width: 445px;
  }

  .c-block-features__ttl {
    font-weight: bold;
    font-size: 2.4rem;
    margin-bottom: 16px;

    span {
      font-family: var(--font-inter);
      display: block;
      font-weight: bold;
      font-size: 5.6rem;
      color: #00c8ac;
      margin-bottom: 8px;
    }

    @media screen and (max-width: 767px) {
      font-size: 2.2rem;

      span {
        font-size: 4rem;
      }
    }
  }

  .c-block-features__img {
    img {
      width: 100%;
      height: 100%;
      object-fit: cover;
    }
  }
}

.c-worries {
  padding: 56px 64px;
  border-radius: 10px;
  background: #f6f6f6;
  box-shadow: 4px 4px 0 2px #c4bebe;

  &.--arrow {
    position: relative;

    &::before {
      content: "";
      width: 295px;
      height: auto;
      aspect-ratio: 295/32;
      background: var(--color-main);
      position: absolute;
      top: calc(100% + 40px);
      left: 50%;
      transform: translateX(-50%);
      clip-path: polygon(0 0, 50% 100%, 100% 0);
    }
  }

  @media screen and (max-width: 767px) {
    padding: 24px;

    &.--arrow {
      &::before {
        width: 200px;
      }
    }
  }

  .c-worries__flex {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 96px;

    @media screen and (max-width: 767px) {
      flex-direction: column;
      gap: 24px;
    }
  }

  .c-worries__group {
    flex: 1;
  }

  .c-worries__ttl {
    font-size: 2.6rem;
    font-weight: bold;
    padding-bottom: 1.5em;
    margin-bottom: 1.5em;
    background-image: repeating-linear-gradient(90deg, #bbbbbb, #bbbbbb 5px, transparent 5px, transparent 9px);
    background-position: left bottom;
    background-repeat: repeat-x;
    background-size: 100% 1px;

    span {
      color: #00c8ac;
    }

    @media screen and (max-width: 767px) {
      font-size: 1.8rem;
    }
  }
}

/* ------------------------
  セクション
--------------------------*/
.c-section48 {
  --section-value: 48px;

  &:not(.--top, .--bottom) {
    padding-block: var(--section-value);
  }

  &.--top {
    padding-top: var(--section-value);
  }

  &.--bottom {
    padding-bottom: var(--section-value);
  }

  @media screen and (max-width: 767px) {
    --section-value: 32px;
  }
}

.c-section64 {
  --section-value: 64px;

  &:not(.--top, .--bottom) {
    padding-block: var(--section-value);
  }

  &.--top {
    padding-top: var(--section-value);
  }

  &.--bottom {
    padding-bottom: var(--section-value);
  }

  @media screen and (max-width: 767px) {
    --section-value: 40px;
  }
}

.c-section80 {
  --section-value: 80px;

  &:not(.--top, .--bottom) {
    padding-block: var(--section-value);
  }

  &.--top {
    padding-top: var(--section-value);
  }

  &.--bottom {
    padding-bottom: var(--section-value);
  }

  @media screen and (max-width: 767px) {
    --section-value: 48px;
  }
}
